Ports - Bug #133

[iceweasel] Iceweasel cannot find libffi.s0.5
2012-06-13 01:57 PM - mulenmar

Status: not-a-bug % Done: 0%
Priority: broken

Assignee:

Category:

Description

On mips64el port, attempting to start Iceweasel 9 produces an error stating that libffi.s0.5 can't be found.
Package core/libffi 3.0.11-1 is installed. This provides libffi.s0.6, among others.

Soft-linking libffi.s0.6 to libffi.s0.5 allows Iceweasel to start and run normally.

Related issues:

Related to Ports - Bug #6: [iceweasel-libre] 10.0.2 freezes not-a-bug 2012-02-17
History

#2 - 2012-06-13 02:07 PM - mulenmar

Further info:

The exact error message is:

XPCOMGlueLoad error for file /usr/lib/iceweasel/libxpcom.so:
libffi.so.5: cannot open shared object file: No such file or directory

Replacing core/libffi (3.0.11-1) with extra/libffi (3.0.10-1) results in the same error message, except that it is libffi.so0.6 that cannot be found.

#3 - 2016-05-11 11:56 PM - Anonymous

- Project changed from 3 to Ports

#4 - 2017-10-14 09:22 PM - isacdaavid

- Status changed from open to not-a-bug

mips64el support is long gone
